>From 11c135704f7c9e969702c3e6f11abc9fea7c42ec Mon Sep 17 00:00:00 2001
From: Joshua Roys <roysjosh@gmail.com>
Date: Wed, 11 Aug 2010 16:34:46 -0400
Subject: [PATCH] SST49FL040B: add unlocking

The datasheet says there's a set of registers in the 4Mbit before the
flash memory.  The block locking registers are aligned on 64K
boundaries, plus 2.

Signed-off-by: Joshua Roys <roysjosh@gmail.com>
---
 flashchips.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/flashchips.c b/flashchips.c
index ae89701..be7fab5 100644
--- a/flashchips.c
+++ b/flashchips.c
@@ -5651,8 +5651,8 @@ struct flashchip flashchips[] = {
 		.model_id	= SST_49LF040B,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
-		.feature_bits	= FEATURE_EITHER_RESET,
-		.tested		= TEST_OK_PR,
+		.feature_bits	= FEATURE_EITHER_RESET | FEATURE_REGISTERMAP,
+		.tested		= TEST_OK_PREW,
 		.probe		= probe_jedec,
 		.probe_timing	= 1,		/* 150ns */
 		.block_erasers	=
@@ -5668,6 +5668,7 @@ struct flashchip flashchips[] = {
 				.block_erase = NULL,
 			}
 		},
+		.unlock		= unlock_82802ab,
 		.write		= write_jedec_1,
 		.read		= read_memmapped,
 	},
-- 
1.7.2.1

